> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# List Asset Permissions

GET https://agentverse.ai/v1/storage/assets/{asset_id}/permissions/

Reference: https://docs.agentverse.ai/v-1/api-reference/storage/list-asset-permissions

## Request

### Path parameters

- `asset_id` (string, required)

### Query parameters

- `agent_address` (string, optional)
- `offset` (integer, optional, default: 0)
- `limit` (integer, optional, default: 100)

## Response

### 200

Successful Response

- `items` (list of Permission, required) — List of permission entries.
- `pagination` (Pagination, required) — Pagination metadata for the permission list.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Permission

- `agent_address` (string, required) — Address of the agent to whom the permission applies.
- `read` (boolean, required) — Whether the agent has read access.
- `write` (boolean, required) — Whether the agent has write access.

### Pagination

- `offset` (integer, required) — Number of items to skip before starting to collect the result set.
- `limit` (integer, required) — Maximum number of items to return.
- `total` (integer, required) — Total number of items available.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "items": [
    {
      "agent_address": "foo",
      "read": true,
      "write": true
    }
  ],
  "pagination": {
    "offset": 42,
    "limit": 42,
    "total": 42
  }
}
```

**SDK Code**

```python listAssetPermissionsExample
import requests

url = "https://agentverse.ai/v1/storage/assets/asset_id/permissions/"

response = requests.get(url)

print(response.json())
```

```javascript listAssetPermissionsExample
const url = 'https://agentverse.ai/v1/storage/assets/asset_id/permissions/';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go listAssetPermissionsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/storage/assets/asset_id/permissions/"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby listAssetPermissionsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/storage/assets/asset_id/permissions/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java listAssetPermissionsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/storage/assets/asset_id/permissions/")
  .asString();
```

```php listAssetPermissionsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/storage/assets/asset_id/permissions/');

echo $response->getBody();
```

```csharp listAssetPermissionsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/storage/assets/asset_id/permissions/");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift listAssetPermissionsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/storage/assets/asset_id/permissions/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```